combinesummaries(1)

NAME
combinesummaries - Scalar Summary Combination Tool

SYNOPSIS
combinesummaries output_file [variable_names]
[-c level | --compress level]
[-s separator | --separator separator]
[-l | --line-numbers | -n | --no-line-numbers]
[-q | --quiet]
combinesummaries [-h | --help]
combinesummaries [-v | --version]

DESCRIPTION
combinesummaries is a combination tool for CSV/GNU R data files: it creates a single data table from multiple input files. CombineSummaries supports on-the-fly BZip2 compression. After startup, the program accepts the following commands from standard input (*not* as command-line arguments!):

--varnames=variables
    A space-separated list of output variable names to be added to the output data tables.

--values=values
    Sets the values of the output variables for the next input file to the provided space-separated values. One value for each variable has to be provided.

--input=filename
    Process the given input file.

--simulationsdirectory=directory
    Sets the directory where to find the input files.

ARGUMENTS
The following arguments may be provided:

output_file
    The name of the output file to be created.

[variable_names]
    A space-separated list of output variable names to be added to the output data tables.

-c level | --compress level
    Sets the BZip2 compression level; 1=none, 9=highest (default).

-s separator | --separator separator
    Sets the separator for the tables. Default: tabulator character (i.e. $' ').

-l | --line-numbers
    Generate line numbers for output rows (GNU R: row names). In this case, the input files must contain line numbers (GNU R: row names) as well! The original line numbers are kept in column SubLineNo. Default: off.

-n | --no-line-numbers
    Do not add line numbers into the output table files, as usual for CSV (default).

-q | --quiet
    Do not print verbose status information.

-h | --help
    Prints command help.

-v | --version
    Prints program version.

EXIT STATUS
The combinesummaries tool exits with 0 on success, and >0 in case of an error.

EXAMPLE
Consider two data tables: v1.data.bz2 (created with ParameterY=Alpha) and v2.data.bz2 (created with ParameterY=Beta). The output data table should be written to output.data.bz2.
( echo -e "--values=\"Alpha\"\t\"Test 1\"" && \ echo "--input=v1.data.bz2" && \ echo -e "--values=\"Beta\"\t\"Test 2\"" && \ echo "--input=v2.data.bz2" ) | combinesummaries output.data.bz2 $'ParameterX\tParameterY'

SEE ALSO
createsummary(1), extractvectors(1)

NOTES
This program is part of NetPerfMeter. The latest version of NetPerfMeter can be found on the NetPerfMeter Homepage at NetPerfMeter Homepage: https://www.nntb.no/~dreibh/netperfmeter/.

AUTHORS
Thomas Dreibholz, Homepage: https://www.nntb.no/~dreibh